using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Validators.XieTong
{
    public class ZmhdCaseInfoPublicInfoValidator : AbstractValidator<PublicOrderProvinceZmhdDto>
    {
        public ZmhdCaseInfoPublicInfoValidator()
        {
            RuleFor(d => d.ProvinceNo).NotEmpty();
            RuleFor(d => d.AnswerTime).NotEmpty();
            RuleFor(d => d.AnswerOu).NotEmpty();
            RuleFor(d => d.AnswerContent).NotEmpty();
            RuleFor(d => d.AuditFirstName).NotEmpty();
            RuleFor(d => d.AuditFirstTime).NotEmpty();
            RuleFor(d => d.AuditSecondName).NotEmpty();
            RuleFor(d => d.PublishDate).NotEmpty();
            RuleFor(d => d.PublicOpinion).NotEmpty();
        }
    }
}
